com.pixelmed.dicom

## Class SpectroscopyVolumeLocalization

- java.lang.Object
- - com.pixelmed.dicom.SpectroscopyVolumeLocalization

-     public class SpectroscopyVolumeLocalization
      extends java.lang.Object

  A class to extract and describe the spatial geometry of an MR spectroscopy localization volume, given a list of DICOM attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpectroscopyVolumeLocalization(AttributeList list)` Construct the localization volume geometry from the Per-frame and Shared Functional Group Sequences of a multi-frame MR spectroscopy object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `getMidSlabPosition(int i)` Get the mid-slab position.
    `int` | `getNumberOfSlabs()` Get the number of localization slabs.
    `double[]` | `getSlabOrientation(int i)` Get the localization slab orientation.
    `double` | `getSlabThickness(int i)` Get the localization slab thickness.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpectroscopyVolumeLocalization

          public SpectroscopyVolumeLocalization(AttributeList list)
                                         throws DicomException

      Construct the localization volume geometry from the Per-frame and Shared Functional Group Sequences of a multi-frame MR spectroscopy object.

      Parameters:
        `list` - the list of DICOM attributes
      Throws:
        `DicomException`

  - ### Method Detail

    - #### getNumberOfSlabs

          public final int getNumberOfSlabs()

      Get the number of localization slabs.

      Returns:
        the number of localization slabs

    - #### getSlabThickness

          public final double getSlabThickness(int i)

      Get the localization slab thickness.

      Returns:
        localization slab thickness in mm.

    - #### getSlabOrientation

          public final double[] getSlabOrientation(int i)

      Get the localization slab orientation.

      Returns:
        the direction cosines of a normal vector perpendicular to the selection plane with respect to the patient as X, Y and Z components (LPH+)

    - #### getMidSlabPosition

          public final double[] getMidSlabPosition(int i)

      Get the mid-slab position.

      Returns:
        the x, y, and z coordinates of the mid-point of the slab in mm